'use strict';

var swiper = new Swiper('.swiper-introduce', {
  effect: 'fade',
  fadeEffect: {
    crossFade: true,
  },
  pagination: {
    el: '.swiper-introduce-pagination',
    clickable: true,
  },
});

var swiperBlog = new Swiper('.swiper-blog', {
  pagination: {
    el: '.swiper-blog-pagination',
    slidesPerView: 4,
    clickable: true,
  },
  breakpoints: {
    0: {
      slidesPerView: 1,
      spaceBetween: 10,
    },
    576: {
      slidesPerView: 2,
      spaceBetween: 10,
    },
    768: {
      slidesPerView: 4,
      spaceBetween: 10,
    },
  },
});
(function mainMenuToggle() {
  $('.burger').click(function () {
    $('.burger').toggleClass('clicked');
    $('.main-nav').toggleClass('active');
    $('body').toggleClass('overflow');
  });
})();

$(document).on('scroll', function () {
  if ($(document).scrollTop() > 50) {
    $('.header-first, .header-second').addClass('shrink');
    $('.login-shrink-btn').fadeIn(300);
  } else {
    $('.header-first, .header-second').removeClass('shrink');
    $('.login-shrink-btn').fadeOut();
  }
});

(function menuAdmin() {
  let sidebar = document.querySelector('.sidebar');
  let closeBtn = document.querySelector('#btn');
  let searchBtn = document.querySelector('.bx-search');
  if (!sidebar) return;

  closeBtn.addEventListener('click', () => {
    sidebar.classList.toggle('open');
    menuBtnChange(); //calling the function(optional)
  });

  // searchBtn.addEventListener('click', () => {
  //   // Sidebar open when you click on the search iocn
  //   sidebar.classList.toggle('open');
  //   menuBtnChange(); //calling the function(optional)
  // });

  // following are the code to change sidebar button(optional)
  function menuBtnChange() {
    if (sidebar.classList.contains('open')) {
      closeBtn.classList.replace('bx-menu', 'bx-menu-alt-right'); //replacing the iocns class
    } else {
      closeBtn.classList.replace('bx-menu-alt-right', 'bx-menu'); //replacing the iocns class
    }
  }
})();
